using System;

namespace TDUnit.Common.TestDataParser
{
    public class ImportEventArgs : EventArgs
    {
        private readonly string importedFilePath;

        public ImportEventArgs(string importedFilePath)
        {
            this.importedFilePath = importedFilePath;
        }

        public string ImportedFilePath
        {
            get { return importedFilePath; }
        }
    }
}