using TDUnit.Common.TestDataParser;
using TDUnit.Common.Logging;
using TDUnit.Loggers;

namespace TDUnit.MsSql
{
    public class SqlServerTestDataUtility : TestDataUtility
    {
        #region Constructors

        public SqlServerTestDataUtility(string connectionString, ITestDataParser parser)
            : this(connectionString, parser, new NullLogger())
        {

        }

        public SqlServerTestDataUtility(string connectionString, ITestDataParser parser, ILogger logger)
            : base(parser, new SqlServerScriptExecutionEngine(connectionString), new BasicSqlScriptEngine(), logger)
        {

        }

        #endregion
    }
}