using NUnit.Framework;

namespace TDUnit.Examples
{
    [TestFixture]
    public class SimpleSqlServerTestDataTests : SqlServerTestDataTestsBase
    {
        protected override string GetTestDataString()
        {
            return
                @"
                <TestData>
                    <Table Name='SimpleTable' PrimaryKey='ID' IsAutoIdentity='True'>
                        <Row TestColumn='TestValue' />
                    </Table>
                </TestData>
            ";
        }

        [Test]
        public void ReadTestData()
        {
            Assert.AreEqual(1, int.Parse(ExecuteScalarQuery("SELECT COUNT(*) FROM SimpleTable").ToString()));
        }
    }
}