using System;
using TDUnit.Common.TestData;

namespace TDUnit.Common.ScriptEngine
{
    public interface IScriptEngine
    {
        event EventHandler<ScriptEventArgs> InsertScriptCreated;
        event EventHandler<ScriptEventArgs> DeleteScriptCreated;
        event EventHandler<ScriptEventArgs> AutoIdentityScriptCreated;

        string GetInsertScriptForRow(Row row);
        string GetDeleteScriptForRow(Row row);
        string GetSelectAutoIdentityScript();
    }
}