using System;
using System.Runtime.Serialization;

namespace TDUnit.Common.ScriptEngine
{
    public class ScriptEngineException : Exception
    {
        public ScriptEngineException()
        {
        }

        public ScriptEngineException(string message) : base(message)
        {
        }

        public ScriptEngineException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected ScriptEngineException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}