using System;

namespace TDUnit.Common.ScriptExecutionEngine
{
    public interface IScriptExecutionEngine
    {
        event EventHandler<ScriptExecutionEngineEventArgs> ExecutedNonQueryScript;
        event EventHandler<ScriptExecutionEngineEventArgs> ExecutedScalarQueryScript;

        void ExecuteNonQueryScript(string script);
        object ExecuteScalarQueryScript(string script);
    }
}