using System;
using System.Runtime.Serialization;

namespace TDUnit.Common.ScriptExecutionEngine
{
    public class ScriptExecutionEngineException : Exception 
    {
        public ScriptExecutionEngineException()
        {
        }

        public ScriptExecutionEngineException(string message) : base(message)
        {
        }

        public ScriptExecutionEngineException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected ScriptExecutionEngineException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}